import request from '@/utils/request'

// 查询故障案例列表
export function listFile(query) {
  return request({
    url: '/als/file/list',
    method: 'get',
    params: query
  })
}

// 查询故障案例详细
export function getFile(data) {
  return request({
    url: '/als/file/selectOne',
    method: 'post',
    data:data
  })
}

// 新增故障案例
export function addFile(data) {
  return request({
    url: '/als/file/add',
    method: 'post',
    data: data
  })
}

// 修改故障案例
export function updateFile(data) {
  return request({
    url: '/als/file/updata',
    method: 'put',
    data: data
  })
}

// 删除故障案例
export function delFile(id) {
  return request({
    url: '/als/file/delete' + id,
    method: 'delete'
  })
}
